package domain

type AlibabaWdkMarketingFullrangeQueryitemMarketPageResult struct {
	/*
	   总数     */
	Total *int64 `json:"total,omitempty" `

	/*
	   查询结果信息     */
	Message *string `json:"message,omitempty" `

	/*
	   当前页数     */
	Current *int64 `json:"current,omitempty" `

	/*
	   查询结果数据     */
	SkuList *[]AlibabaWdkMarketingFullrangeQueryitemItemPoolSku `json:"sku_list,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   页数size     */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   是否成功     */
	Success *bool `json:"success,omitempty" `

	/*
	   总页数     */
	TotalPage *int64 `json:"total_page,omitempty" `
}

func (s *AlibabaWdkMarketingFullrangeQueryitemMarketPageResult) SetTotal(v int64) *AlibabaWdkMarketingFullrangeQueryitemMarketPageResult {
	s.Total = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeQueryitemMarketPageResult) SetMessage(v string) *AlibabaWdkMarketingFullrangeQueryitemMarketPageResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeQueryitemMarketPageResult) SetCurrent(v int64) *AlibabaWdkMarketingFullrangeQueryitemMarketPageResult {
	s.Current = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeQueryitemMarketPageResult) SetSkuList(v []AlibabaWdkMarketingFullrangeQueryitemItemPoolSku) *AlibabaWdkMarketingFullrangeQueryitemMarketPageResult {
	s.SkuList = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeQueryitemMarketPageResult) SetErrorCode(v string) *AlibabaWdkMarketingFullrangeQueryitemMarketPageResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeQueryitemMarketPageResult) SetPageSize(v int64) *AlibabaWdkMarketingFullrangeQueryitemMarketPageResult {
	s.PageSize = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeQueryitemMarketPageResult) SetSuccess(v bool) *AlibabaWdkMarketingFullrangeQueryitemMarketPageResult {
	s.Success = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeQueryitemMarketPageResult) SetTotalPage(v int64) *AlibabaWdkMarketingFullrangeQueryitemMarketPageResult {
	s.TotalPage = &v
	return s
}
